kr.co.hanwha.hifive.adapter.viewholder

## Class TaskDetailHeaderViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.TaskDetailHeaderViewHolder

-     public class TaskDetailHeaderViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HFEvaluationStarListView` | `mEvaluationStarListView`
    `private int` | `mFlag`
    `private android.widget.ImageView` | `mImageViewArrow`
    `private android.widget.ImageView` | `mImageViewDueDate`
    `private android.widget.RelativeLayout` | `mLayoutAction`
    `private android.widget.LinearLayout` | `mLayoutCampaign`
    `private android.widget.LinearLayout` | `mLayoutLog`
    `private android.widget.TextView` | `mTextViewAction`
    `private android.widget.TextView` | `mTextViewAuthorName`
    `private android.widget.TextView` | `mTextViewCampaign`
    `private android.widget.TextView` | `mTextViewClosedDate`
    `private android.widget.TextView` | `mTextViewDday`
    `private android.widget.TextView` | `mTextViewDueDate`
    `private android.widget.TextView` | `mTextViewLog`
    `private android.widget.TextView` | `mTextViewMyTask`
    `private android.widget.TextView` | `mTextViewProject`
    `private android.widget.TextView` | `mTextViewReceiverName`
    `private android.widget.TextView` | `mTextViewStatus`
    `private android.widget.TextView` | `mTextViewTitle`
    `private android.view.View` | `mViewClosedLine`
    `private TaskDetailListContract.OnTaskDetailListener` | `onTaskDetailListener`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDetailHeaderViewHolder(android.view.ViewGroup viewGroup, TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`
    `void` | `setFlag(int flag)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mTextViewAuthorName

          private android.widget.TextView mTextViewAuthorName

    - #### mImageViewArrow

          private android.widget.ImageView mImageViewArrow

    - #### mTextViewReceiverName

          private android.widget.TextView mTextViewReceiverName

    - #### mTextViewMyTask

          private android.widget.TextView mTextViewMyTask

    - #### mLayoutCampaign

          private android.widget.LinearLayout mLayoutCampaign

    - #### mTextViewCampaign

          private android.widget.TextView mTextViewCampaign

    - #### mTextViewProject

          private android.widget.TextView mTextViewProject

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mImageViewDueDate

          private android.widget.ImageView mImageViewDueDate

    - #### mTextViewDday

          private android.widget.TextView mTextViewDday

    - #### mTextViewDueDate

          private android.widget.TextView mTextViewDueDate

    - #### mViewClosedLine

          private android.view.View mViewClosedLine

    - #### mTextViewClosedDate

          private android.widget.TextView mTextViewClosedDate

    - #### mLayoutAction

          private android.widget.RelativeLayout mLayoutAction

    - #### mTextViewAction

          private android.widget.TextView mTextViewAction

    - #### mTextViewStatus

          private android.widget.TextView mTextViewStatus

    - #### mEvaluationStarListView

          private HFEvaluationStarListView mEvaluationStarListView

    - #### mLayoutLog

          private android.widget.LinearLayout mLayoutLog

    - #### mTextViewLog

          private android.widget.TextView mTextViewLog

    - #### mFlag

          private int mFlag

    - #### onTaskDetailListener

          private TaskDetailListContract.OnTaskDetailListener onTaskDetailListener

  - ### Constructor Detail

    - #### TaskDetailHeaderViewHolder

          public TaskDetailHeaderViewHolder(@NonNull
                                            android.view.ViewGroup viewGroup,
                                            @NonNull
                                            TaskDetailListContract.OnTaskDetailListener onTaskDetailListener)

  - ### Method Detail

    - #### setFlag

          public void setFlag(int flag)

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`